#ifndef _MIN_JERKSPLINE_H_
#define _MIN_JERKSPLINE_H_
#include <gsl/gsl_multimin.h>
#include <time.h>
#include <iostream>
#include <math.h>
#include "Spline.h"

using namespace std;

class MinJerkSpline
{//returns a minimum jerk spline connecting a to b to c
public:
	MinJerkSpline(double *, double *, int, int);
	Coord *GetSplinePoints();
private:
	static double	func(const gsl_vector *, void *);
	static void		func_df(const gsl_vector *, void *, gsl_vector *);
	static void		func_fdf(const gsl_vector *, void *, double *, gsl_vector *);
	double *Solve(double *);
	void Fill(double *, double *, int);
	Coord *ControlPoints; // contains control points needed
};

#endif




