#ifndef _SPLINE_H_
#define _SPLINE_H_
#include <iostream>
#include <math.h>

using namespace std;

typedef struct
{
	double *x;
	double *y;
} Coord;


class Spline
{
	public:
		Spline(int, int, Coord *); // constructor, npoints, norder, control points
		void GetX(double *);
		void GetY(double *);
	private:
		Coord	*Control; // control points for N-order spline
		Coord	*P; // Parameters in spline, X, Y
		double	*x; // Path's X points
		double	*y; // Path's Y points
		int		N; // number of discrete steps on path
		int		O; // Order of spline
		bool	calculated; // check if points are calculated

		void	Diff(double *, double *);
		double  Ft(double *, double);
		void	Fill();
		void	Pascal(double *, int);
		void	PrintResult(double *, double *, int); // testing purposes
		int		Fac(int N);// calculates N!
		int		Odd(int);

};

#endif